Subject: RE: [NSIS] qos-nslp-00

From: Attila Báder (IJ/ETH)<[email-masked]>
Date: Wed, 15 Oct 2003 15:09:42 +0200

Hi Andrew and Rüdiger,

I also think b) is correct in a summary refresh. Some clarification may be needed in the text of QoS NSLP draft that RSN indicates the sequence of Reserve messages per sessions sent to the next NSLP hop. 

I am also wonderng if RSN=MIN can be the flag in RESERVE for creating new reserevation  and, in the same way, RSN=MAX for removing state? 

Best regards,  Attila

> -----Original Message-----
> From: McDonald, Andrew [mailto:[email-masked]]
> Sent: Wednesday, October 15, 2003 12:17 PM
> To: 'Geib, Ruediger'
> Cc: [email-masked]
> Subject: RE: [NSIS] qos-nslp-00
> 
> 
> Hi Rüdiger,
> 
> Geib, Ruediger wrote:
> > thanks, your example explains two things I couldn't find in 
> the draft:
> > - that session IDs still need to be present and aren't replaced
> >   by RSNs.
> > - how QoS-NSLP could react once it notes that it maintains stale
> >   state.
> 
> Ok. Clearly we'll need some updates in those areas.
> 
> > I'm having another question. The RSN is valid only between local
> > NSLP peers. Would a single RSN be used per NSLP message or per
> > session ID? Picking up your example, would it be
> > 
> > a) one RSN per NSLP message
> > Srefresh [RSN #1, SID #55, SID #105, SID #751]
> > 
> > b) one RSN per SID
> > Srefresh [RSN #1, SID #55; RSN #78, SID #105; RSN #12, SID #751]
> > 
> > There's no difference if a single message carries data of a single
> > session. Otherwise, method a) reduces the amount of maintained
> > state and signaling load.
> 
> I think it would be (b). (To make sure I'm clear, I believe 
> this message says "I want to refresh reservation #1 for SID 
> #55, reservation #78 for SID #105 and reservation #12 for SID #751".)
> 
> I'm not sure how you would do (a). Since the original 
> RESERVEs may happen at different times for the three SIDs, 
> and they may be updated independently I think they each need 
> their own RSN number-space.
> 
> 
> Andrew
> 
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nsis
> 

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis